int zmachine_decode_varop(ZStack* stack, ZByte* param, ZArgblock* argblock)
{

  switch (param[0])
    {
    case 0x00: /* arg1 - LC arg2 - LC arg3 - LC arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = (param[5]<<8)|param[6];
      argblock->arg[3] = (param[7]<<8)|param[8];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 8;

    case 0x01: /* arg1 - LC arg2 - LC arg3 - LC arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = (param[5]<<8)|param[6];
      argblock->arg[3] = param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x02: /* arg1 - LC arg2 - LC arg3 - LC arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = (param[5]<<8)|param[6];
      argblock->arg[3] = GetVar(param[7]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x03: /* arg1 - LC arg2 - LC arg3 - LC arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = (param[5]<<8)|param[6];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 6;

    case 0x04: /* arg1 - LC arg2 - LC arg3 - SC arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = param[5];
      argblock->arg[3] = (param[6]<<8)|param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x05: /* arg1 - LC arg2 - LC arg3 - SC arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = param[5];
      argblock->arg[3] = param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x06: /* arg1 - LC arg2 - LC arg3 - SC arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = param[5];
      argblock->arg[3] = GetVar(param[6]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x07: /* arg1 - LC arg2 - LC arg3 - SC arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = param[5];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 5;

    case 0x08: /* arg1 - LC arg2 - LC arg3 - Var arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = GetVar(param[5]);
      argblock->arg[3] = (param[6]<<8)|param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x09: /* arg1 - LC arg2 - LC arg3 - Var arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = GetVar(param[5]);
      argblock->arg[3] = param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x0a: /* arg1 - LC arg2 - LC arg3 - Var arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = GetVar(param[5]);
      argblock->arg[3] = GetVar(param[6]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x0b: /* arg1 - LC arg2 - LC arg3 - Var arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = GetVar(param[5]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 5;

    case 0x0f: /* arg1 - LC arg2 - LC arg3 - Omit arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = (param[3]<<8)|param[4];
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 4;

    case 0x10: /* arg1 - LC arg2 - SC arg3 - LC arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = (param[6]<<8)|param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x11: /* arg1 - LC arg2 - SC arg3 - LC arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x12: /* arg1 - LC arg2 - SC arg3 - LC arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = GetVar(param[6]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x13: /* arg1 - LC arg2 - SC arg3 - LC arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 5;

    case 0x14: /* arg1 - LC arg2 - SC arg3 - SC arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x15: /* arg1 - LC arg2 - SC arg3 - SC arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x16: /* arg1 - LC arg2 - SC arg3 - SC arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x17: /* arg1 - LC arg2 - SC arg3 - SC arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x18: /* arg1 - LC arg2 - SC arg3 - Var arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x19: /* arg1 - LC arg2 - SC arg3 - Var arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x1a: /* arg1 - LC arg2 - SC arg3 - Var arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x1b: /* arg1 - LC arg2 - SC arg3 - Var arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x1f: /* arg1 - LC arg2 - SC arg3 - Omit arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = param[3];
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 3;

    case 0x20: /* arg1 - LC arg2 - Var arg3 - LC arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = (param[6]<<8)|param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x21: /* arg1 - LC arg2 - Var arg3 - LC arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x22: /* arg1 - LC arg2 - Var arg3 - LC arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = GetVar(param[6]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x23: /* arg1 - LC arg2 - Var arg3 - LC arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 5;

    case 0x24: /* arg1 - LC arg2 - Var arg3 - SC arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x25: /* arg1 - LC arg2 - Var arg3 - SC arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x26: /* arg1 - LC arg2 - Var arg3 - SC arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x27: /* arg1 - LC arg2 - Var arg3 - SC arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x28: /* arg1 - LC arg2 - Var arg3 - Var arg4 - LC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x29: /* arg1 - LC arg2 - Var arg3 - Var arg4 - SC */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x2a: /* arg1 - LC arg2 - Var arg3 - Var arg4 - Var */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x2b: /* arg1 - LC arg2 - Var arg3 - Var arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x2f: /* arg1 - LC arg2 - Var arg3 - Omit arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = GetVar(param[3]);
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 3;

    case 0x3f: /* arg1 - LC arg2 - Omit arg3 - Omit arg4 - Omit */
      argblock->arg[0] = (param[1]<<8)|param[2];
      argblock->arg[1] = 0;
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 1;
      return 2;

    case 0x40: /* arg1 - SC arg2 - LC arg3 - LC arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = (param[6]<<8)|param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x41: /* arg1 - SC arg2 - LC arg3 - LC arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x42: /* arg1 - SC arg2 - LC arg3 - LC arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = GetVar(param[6]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x43: /* arg1 - SC arg2 - LC arg3 - LC arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 5;

    case 0x44: /* arg1 - SC arg2 - LC arg3 - SC arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x45: /* arg1 - SC arg2 - LC arg3 - SC arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x46: /* arg1 - SC arg2 - LC arg3 - SC arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x47: /* arg1 - SC arg2 - LC arg3 - SC arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x48: /* arg1 - SC arg2 - LC arg3 - Var arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x49: /* arg1 - SC arg2 - LC arg3 - Var arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x4a: /* arg1 - SC arg2 - LC arg3 - Var arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x4b: /* arg1 - SC arg2 - LC arg3 - Var arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x4f: /* arg1 - SC arg2 - LC arg3 - Omit arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 3;

    case 0x50: /* arg1 - SC arg2 - SC arg3 - LC arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x51: /* arg1 - SC arg2 - SC arg3 - LC arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x52: /* arg1 - SC arg2 - SC arg3 - LC arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x53: /* arg1 - SC arg2 - SC arg3 - LC arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x54: /* arg1 - SC arg2 - SC arg3 - SC arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x55: /* arg1 - SC arg2 - SC arg3 - SC arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x56: /* arg1 - SC arg2 - SC arg3 - SC arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x57: /* arg1 - SC arg2 - SC arg3 - SC arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0x58: /* arg1 - SC arg2 - SC arg3 - Var arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x59: /* arg1 - SC arg2 - SC arg3 - Var arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x5a: /* arg1 - SC arg2 - SC arg3 - Var arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x5b: /* arg1 - SC arg2 - SC arg3 - Var arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0x5f: /* arg1 - SC arg2 - SC arg3 - Omit arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = param[2];
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 2;

    case 0x60: /* arg1 - SC arg2 - Var arg3 - LC arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x61: /* arg1 - SC arg2 - Var arg3 - LC arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x62: /* arg1 - SC arg2 - Var arg3 - LC arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x63: /* arg1 - SC arg2 - Var arg3 - LC arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x64: /* arg1 - SC arg2 - Var arg3 - SC arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x65: /* arg1 - SC arg2 - Var arg3 - SC arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x66: /* arg1 - SC arg2 - Var arg3 - SC arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x67: /* arg1 - SC arg2 - Var arg3 - SC arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0x68: /* arg1 - SC arg2 - Var arg3 - Var arg4 - LC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x69: /* arg1 - SC arg2 - Var arg3 - Var arg4 - SC */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x6a: /* arg1 - SC arg2 - Var arg3 - Var arg4 - Var */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x6b: /* arg1 - SC arg2 - Var arg3 - Var arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0x6f: /* arg1 - SC arg2 - Var arg3 - Omit arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 2;

    case 0x7f: /* arg1 - SC arg2 - Omit arg3 - Omit arg4 - Omit */
      argblock->arg[0] = param[1];
      argblock->arg[1] = 0;
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 1;
      return 1;

    case 0x80: /* arg1 - Var arg2 - LC arg3 - LC arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = (param[6]<<8)|param[7];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 7;

    case 0x81: /* arg1 - Var arg2 - LC arg3 - LC arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x82: /* arg1 - Var arg2 - LC arg3 - LC arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = GetVar(param[6]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x83: /* arg1 - Var arg2 - LC arg3 - LC arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = (param[4]<<8)|param[5];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 5;

    case 0x84: /* arg1 - Var arg2 - LC arg3 - SC arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x85: /* arg1 - Var arg2 - LC arg3 - SC arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x86: /* arg1 - Var arg2 - LC arg3 - SC arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x87: /* arg1 - Var arg2 - LC arg3 - SC arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x88: /* arg1 - Var arg2 - LC arg3 - Var arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x89: /* arg1 - Var arg2 - LC arg3 - Var arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x8a: /* arg1 - Var arg2 - LC arg3 - Var arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x8b: /* arg1 - Var arg2 - LC arg3 - Var arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = GetVar(param[4]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x8f: /* arg1 - Var arg2 - LC arg3 - Omit arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = (param[2]<<8)|param[3];
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 3;

    case 0x90: /* arg1 - Var arg2 - SC arg3 - LC arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0x91: /* arg1 - Var arg2 - SC arg3 - LC arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x92: /* arg1 - Var arg2 - SC arg3 - LC arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x93: /* arg1 - Var arg2 - SC arg3 - LC arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0x94: /* arg1 - Var arg2 - SC arg3 - SC arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x95: /* arg1 - Var arg2 - SC arg3 - SC arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x96: /* arg1 - Var arg2 - SC arg3 - SC arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x97: /* arg1 - Var arg2 - SC arg3 - SC arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = param[3];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0x98: /* arg1 - Var arg2 - SC arg3 - Var arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0x99: /* arg1 - Var arg2 - SC arg3 - Var arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x9a: /* arg1 - Var arg2 - SC arg3 - Var arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0x9b: /* arg1 - Var arg2 - SC arg3 - Var arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0x9f: /* arg1 - Var arg2 - SC arg3 - Omit arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = param[2];
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 2;

    case 0xa0: /* arg1 - Var arg2 - Var arg3 - LC arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = (param[5]<<8)|param[6];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 6;

    case 0xa1: /* arg1 - Var arg2 - Var arg3 - LC arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0xa2: /* arg1 - Var arg2 - Var arg3 - LC arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = GetVar(param[5]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0xa3: /* arg1 - Var arg2 - Var arg3 - LC arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = (param[3]<<8)|param[4];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 4;

    case 0xa4: /* arg1 - Var arg2 - Var arg3 - SC arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0xa5: /* arg1 - Var arg2 - Var arg3 - SC arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0xa6: /* arg1 - Var arg2 - Var arg3 - SC arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0xa7: /* arg1 - Var arg2 - Var arg3 - SC arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = param[3];
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0xa8: /* arg1 - Var arg2 - Var arg3 - Var arg4 - LC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = (param[4]<<8)|param[5];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 5;

    case 0xa9: /* arg1 - Var arg2 - Var arg3 - Var arg4 - SC */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = param[4];
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0xaa: /* arg1 - Var arg2 - Var arg3 - Var arg4 - Var */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = GetVar(param[4]);
      argblock->arg[7] = 0;
      argblock->n_args = 4;
      return 4;

    case 0xab: /* arg1 - Var arg2 - Var arg3 - Var arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = GetVar(param[3]);
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 3;
      return 3;

    case 0xaf: /* arg1 - Var arg2 - Var arg3 - Omit arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = GetVar(param[2]);
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 2;
      return 2;

    case 0xbf: /* arg1 - Var arg2 - Omit arg3 - Omit arg4 - Omit */
      argblock->arg[0] = GetVar(param[1]);
      argblock->arg[1] = 0;
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 1;
      return 1;

    case 0xff: /* arg1 - Omit arg2 - Omit arg3 - Omit arg4 - Omit */
      argblock->arg[0] = 0;
      argblock->arg[1] = 0;
      argblock->arg[2] = 0;
      argblock->arg[3] = 0;
      argblock->arg[7] = 0;
      argblock->n_args = 0;
      return 0;

    default:
      zmachine_fatal("Illegal encoding of a VARop");
      return 0;
    }
}
